## org.apache.http.nio.entity
Class ContentOutputStream

    java.lang.Object
      java.io.OutputStream
          org.apache.http.nio.entity.ContentOutputStream

All Implemented Interfaces:
  Closeable, Flushable

    @NotThreadSafe
    public class ContentOutputStream

extends OutputStream

`OutputStream` adaptor for `ContentOutputBuffer`.

Since:
  4.0

Constructor Summary
`ContentOutputStream(ContentOutputBuffer buffer)`

Method Summary
`void` `close()`
`void` `flush()`
`void` `write(byte[] b)`
`void` `write(byte[] b, int off, int len)`
`void` `write(int b)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ContentOutputStream

    public ContentOutputStream(ContentOutputBuffer buffer)

Method Detail

### close

    public void close()
               throws IOException

  Specified by:
    `close` in interface `Closeable`
  Overrides:
    `close` in class `OutputStream`
  Throws:
    `IOException`

### flush

    public void flush()
               throws IOException

  Specified by:
    `flush` in interface `Flushable`
  Overrides:
    `flush` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b,
                      int off,
                      int len)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(byte[] b)
               throws IOException

  Overrides:
    `write` in class `OutputStream`
  Throws:
    `IOException`

### write

    public void write(int b)
               throws IOException

  Specified by:
    `write` in class `OutputStream`
  Throws:
    `IOException`

Copyright © 2005-2013 The Apache Software Foundation. All Rights Reserved.